=== debian/changelog ===
ltrsift (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #689961)

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sun, 06 Oct 2012 15:08:11 +0200
