=== debian/control ===
Source: ltrsift
Section: science
Priority:  optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
Build-Depends: debhelper (>= 9), libgenometools0-dev (>= 1.4.2), libgtk2.0-dev,
 libglib2.0-dev
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://www.zbh.uni-hamburg.de/LTRsift
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/ltrsift/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ltrsift/trunk/

Package: ltrsift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgenometools0 (>= 1.4.2),
 libgtk2.0-0, libglib2.0-0
Recommends: last-align, ncbi-blast+
Description: postprocessing and classification of LTR retrotransposons
 LTRsift is a graphical desktop tool for semi-automatic postprocessing of de
 novo predicted LTR retrotransposon annotations, such as the ones generated by
 LTRharvest and LTRdigest. Its user-friendly interface displays LTR
 retrotransposon candidates, their putative families and their internal
 structure in a hierarchical fashion, allowing the user to "sift" through the
 sometimes large results of de novo prediction software. It also offers
 customizable filtering and classification functionality.

Package: ltrsift-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ltrsift (= ${binary:Version})
Section: debug
Priority: extra
Description: postprocessing and classification of LTR retrotransposons, with debug symbols
 This package contains debug information stripped from LTRsift.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: ltrsift-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: ltrsift
Description: example data for LTRsift
 This package contains test sequences (gzipped FASTA) and annotations (GFF3)
 from the Drosophila melanogaster (fruit fly) genome, to be used in an example
 process of  postprocessing and classification of newly detected LTR
 retrotransposons. Scripts for using LTRsift to encode the sequences into a
 format accepted by LTRsift are included as well.
