=== debian/watch ===
version=3
http://githubredir.debian.net/github/satta/ltrsift /github/satta/ltrsift/v(\d[\d\.]+).tar.gz
