## ltrsift 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
-#
-# Copyright (c) 2012 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
-# Copyright (c) 2012 Sascha Kastens <mail@skastens.de>
-# Copyright (c) 2012 Center for Bioinformatics, University of Hamburg
-#
+# Copyright (c) 2012-2013 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
+# Copyright (c) 2012      Sascha Kastens <mail@skastens.de>
+# Copyright (c) 2012-2013 Center for Bioinformatics, University of Hamburg
 
-CC = gcc
+ifndef CC
+  CC:=gcc
+endif
 CFLAGS += -g -Wall -Wunused-parameter
-GT_FLAGS = -I$(gt_prefix)/include/genometools -I$(GTDIR)/src
+GT_FLAGS := -I$(gt_prefix)/include/genometools \
+            -I$(gt_prefix)/include/genometools -I$(GTDIR)/src
 GT_FLAGS_STATIC := $(GT_FLAGS) `pkg-config --cflags --libs pango pangocairo`
-GT_FLAGS += -lgenometools -L$(gt_prefix)/lib
+GT_FLAGS += -lgenometools -L$(gt_prefix)/lib $(LDFLAGS)
 GTK_FLAGS = `pkg-config --cflags --libs gtk+-2.0 gthread-2.0`
 SOURCES := $(wildcard src/*.c)
 OBJECTS := $(filter-out obj/src/ltrsift.o obj/src/ltrsift_encode.o, $(SOURCES:%.c=obj/%.o))
@@ -66,25 +67,26 @@
 
 obj/%.o: %.c
 	@echo "[compile $@]"
-	@$(CC) -c $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS) $< -o $(@)
+	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GTK_FLAGS) $(GT_FLAGS) $< -o $(@)
 
 bin/ltrsift: $(OBJECTS) obj/src/ltrsift.o
 	@echo "[linking $@]"
-	@$(CC) $(OBJECTS) obj/src/ltrsift.o -o $@ $(CFLAGS) $(GTK_FLAGS) $(GT_FLAGS)
+	@$(CC) $(OBJECTS) obj/src/ltrsift.o -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GTK_FLAGS) $(GT_FLAGS)
 
 bin/ltrsift_encode: obj/src/ltrsift_encode.o
 	@echo "[linking $@]"
-	@$(CC) obj/src/ltrsift_encode.o -o $@ $(CFLAGS) $(GT_FLAGS)
+	@$(CC) obj/src/ltrsift_encode.o -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GT_FLAGS)
 
 bin/ltrsift_static: obj/src/ltrsift.o $(OBJECTS) $(gt_prefix)/lib/libgenometools.a
 	@echo "[linking $@]"
 	@$(CC) $(OBJECTS) obj/src/ltrsift.o $(gt_prefix)/lib/libgenometools.a \
-	  -o $@ $(CFLAGS)  $(GT_FLAGS_STATIC) $(GTK_FLAGS) -lbz2
+	  -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(GT_FLAGS_STATIC) $(GTK_FLAGS) -lbz2
 
 bin/ltrsift_encode_static: obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a
 	@echo "[linking $@]"
 	@$(CC) obj/src/ltrsift_encode.o $(gt_prefix)/lib/libgenometools.a \
-	   -o $@ $(CFLAGS) \$(GT_FLAGS_STATIC) -lbz2 -lz -lcairo -lm
+	   -o $@ $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) \
+	   $(GT_FLAGS_STATIC) -lbz2 -lz -lcairo -lm
 
 bin obj obj/src:
 	@echo '[create $(@)]'
@@ -94,7 +96,7 @@
 	rm -rf obj
 
 cleanup: clean
-	rm -rf bin sample_data/ltrsift_encode
+	rm -rf bin sample_data/ltrsift_encode sample_data/ltrsift_encode_static
 
 .PHONY: dist srcdist install
 
@@ -115,6 +117,8 @@
 	@cp $(CURDIR)/LICENSE $(GTDISTDIR)
 	@cp $(CURDIR)/CHANGELOG $(GTDISTDIR)
 	@cp $(CURDIR)/VERSION $(GTDISTDIR)
+	@cp $(CURDIR)/README $(GTDISTDIR)
+	@cp $(CURDIR)/run_ltrsift $(GTDISTDIR)
 	@cp $(CURDIR)/bin/ltrsift $(GTDISTDIR)/bin
 	@strip $(GTDISTDIR)/bin/ltrsift
 	@(test -f bin/ltrsift_static && cp bin/ltrsift_static $(GTDISTDIR)/bin && strip $(GTDISTDIR)/bin/ltrsift_static) || true
