=== debian/changelog ===
ltrsift (1.0.2-8) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop explicit debug package
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 20:58:11 +0200

ltrsift (1.0.2-7) unstable; urgency=medium

  * Remove -m32/-m64 for building for i386 reproducibility.
  * Enable compiler output.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 22 Apr 2016 09:08:50 +0000

ltrsift (1.0.2-6) unstable; urgency=medium

  * Update d/upstream/metadata.
  * Enable full hardening.
  * Bump Standards-Version.
  * Use secure Vcs-*.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 21 Apr 2016 15:15:34 +0000

ltrsift (1.0.2-5) unstable; urgency=low

  * use deterministic file order for build
  * fix Metadata-Screenshots
  * fix build on x32

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 09:38:35 +0000

ltrsift (1.0.2-4) unstable; urgency=low

  * remove menu file
  * remove timestamp from example .gz

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 17 Oct 2015 15:24:49 +0000

ltrsift (1.0.2-3) unstable; urgency=low

  * include patches

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 18 Nov 2014 20:12:45 +0000

ltrsift (1.0.2-2) unstable; urgency=low

  * fix FTBFS on 64bit archs
  * lintian cleanups

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 18 Nov 2014 19:36:18 +0000

ltrsift (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 11 Mar 2013 13:39:05 +0100

ltrsift (1.0.1-2) unstable; urgency=low

  * enable optimization and hardening

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 09 Mar 2013 11:23:10 +0100
