=== debian/control ===
Source: ltrsift
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libgenometools0-dev,
               libgtk2.0-dev,
               libglib2.0-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/ltrsift
Vcs-Git: https://salsa.debian.org/med-team/ltrsift.git
Homepage: http://www.zbh.uni-hamburg.de/LTRsift

Package: ltrsift
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0,
         libgtk2.0-0,
         libglib2.0-0
Recommends: last-align,
            ncbi-blast+
Description: postprocessing and classification of LTR retrotransposons
 LTRsift is a graphical desktop tool for semi-automatic postprocessing of de
 novo predicted LTR retrotransposon annotations, such as the ones generated by
 LTRharvest and LTRdigest. Its user-friendly interface displays LTR
 retrotransposon candidates, their putative families and their internal
 structure in a hierarchical fashion, allowing the user to "sift" through the
 sometimes large results of de novo prediction software. It also offers
 customizable filtering and classification functionality.
