=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export gt_prefix=/usr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')

ifeq ($(DARCH),x32)
  X32:=yes
else
  X32:=no
endif

ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) cleanup

override_dh_auto_build:
	dh_auto_build -- x32=$(X32) 64bit=$(64BIT) errorcheck=no

override_dh_auto_test:
	#dh_auto_test -- useshared=yes x32=$(X32) 64bit=$(64BIT) testthreads=5

override_dh_auto_install:
	gunzip sample_data/dmel-2L-chromosome-r5.8.fasta.gz
	gzip -n -9 sample_data/dmel-2L-chromosome-r5.8.fasta
	dh_auto_install -- 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr

override_dh_installdocs:
	dh_installdocs --exclude=license.template
